repos:
-   repo: git://github.com/Lucas-C/pre-commit-hooks.git
    rev: v1.1.7
    hooks:
    -   id: forbid-crlf
-   repo: https://github.com/psf/black
    rev: 19.10b0
    hooks:
    -   id: black
        files: controller_backend/
        exclude: migrations/
-   repo: https://gitlab.com/pycqa/flake8
    rev: 3.7.9
    hooks:
    -   id: flake8
        # As of writing this, pyflakes does not have a release that supports
        # Walrus operators, but that support is already merged in master.
        # Install the latest versions as recommended workaround here:
        # https://github.com/PyCQA/pyflakes/pull/457#issuecomment-555714836
        # This can be removed once these projects make a new release which supports
        # Walrus operators.
        additional_dependencies: [
            '-e', 'git+https://github.com/pycqa/pyflakes@38ee670#egg=pyflakes',
            '-e', 'git+https://github.com/pycqa/pycodestyle@68cc24f#egg=pycodestyle',
        ]
        files: controller_backend/
        exclude: migrations/
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.5.0
    hooks:
    -   id: detect-private-key
    -   id: end-of-file-fixer
    -   id: trailing-whitespace
